org.apache.jmeter.report.processor.graph.impl

## Class ResponseTimePercentilesGraphConsumer

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractSampleProcessor
  - - org.apache.jmeter.report.processor.AbstractSampleConsumer
    - - org.apache.jmeter.report.processor.graph.AbstractGraphConsumer
      - - org.apache.jmeter.report.processor.graph.impl.ResponseTimePercentilesGraphConsumer

- All Implemented Interfaces:
    SampleConsumer, SampleProcessor, SampleProducer

      public class ResponseTimePercentilesGraphConsumer
      extends AbstractGraphConsumer

  The Class ResponseTimePercentilesGraphConsumer computes percentile graph for each samples
  Since:
    3.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

      `DEFAULT_AGGREGATED_KEYS_SERIES_FORMAT, DEFAULT_GROUP, DEFAULT_OVERALL_SERIES_FORMAT, RESULT_MAX_X, RESULT_MAX_Y, RESULT_MIN_X, RESULT_MIN_Y, RESULT_SERIES, RESULT_SERIES_DATA, RESULT_SERIES_IS_CONTROLLER, RESULT_SERIES_IS_OVERALL, RESULT_SERIES_NAME, RESULT_SUPPORTS_CONTROLLERS_DISCRIMINATION, RESULT_TITLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseTimePercentilesGraphConsumer()` Instantiates a new response time percentiles graph consumer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<String,GroupInfo>` | `createGroupInfos()`
    `protected GraphKeysSelector` | `createKeysSelector()`
    `void` | `initialize()`
    `protected void` | `initializeExtraResults(MapResultData parentResult)` Inherited classes can add properties to the result

    - ### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

      `consume, createSerieResult, getAggregatedKeysSeriesFormat, getGroupInfos, getInvertsKeysAndValues, getKeysSelector, getOverallSeriesFormat, getTitle, rendersPercentiles, setAggregatedKeysSeriesFormat, setOverallSeriesFormat, setRenderPercentiles, setRevertKeysAndValues, setTitle, startConsuming, stopConsuming`

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

      `addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setConsumedMetadata, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

      `getChannelAttribute, getSampleContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

      `getChannelAttribute, getSampleContext`

- - ### Constructor Detail

    - #### ResponseTimePercentilesGraphConsumer

          public ResponseTimePercentilesGraphConsumer()

      Instantiates a new response time percentiles graph consumer.

  - ### Method Detail

    - #### initialize

          public void initialize()

      Overrides:
        `initialize` in class `AbstractGraphConsumer`

    - #### createKeysSelector

          protected final GraphKeysSelector createKeysSelector()

      Specified by:
        `createKeysSelector` in class `AbstractGraphConsumer`

    - #### createGroupInfos

          protected Map<String,GroupInfo> createGroupInfos()

      Specified by:
        `createGroupInfos` in class `AbstractGraphConsumer`

    - #### initializeExtraResults

          protected void initializeExtraResults(MapResultData parentResult)

      Description copied from class: `AbstractGraphConsumer`
      Inherited classes can add properties to the result
      Specified by:
        `initializeExtraResults` in class `AbstractGraphConsumer`
      Parameters:
        `parentResult` - the parent result

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.